using System;

class Program
{
    static void sledeciGol(int spojlovanDomacin, int spojlovanGost, int poluvremeDomacin, int poluvremeGost)
    {
        if (poluvremeDomacin == spojlovanDomacin && poluvremeGost == spojlovanGost)
        {
            Console.WriteLine("nijedan");
            return;
        }

        if (poluvremeDomacin != spojlovanDomacin && poluvremeGost == spojlovanGost)
        {
            Console.WriteLine("prvi");
            return;
        }

        if (poluvremeDomacin == spojlovanDomacin && poluvremeGost != spojlovanGost)
        {
            Console.WriteLine("drugi");
            return;
        }

        if (poluvremeDomacin != spojlovanDomacin && poluvremeGost != spojlovanGost)
        {
            Console.WriteLine("?");
            return;
        }
    }

    static void Main()
    {
        var s = Console.ReadLine().Split();
        int spojlovanDomacin = int.Parse(s[0]);
        int spojlovanGost = int.Parse(s[1]);

        var p = Console.ReadLine().Split();
        int poluvremeDomacin = int.Parse(p[0]);
        int poluvremeGost = int.Parse(p[1]);

        sledeciGol(spojlovanDomacin, spojlovanGost, poluvremeDomacin, poluvremeGost);
    }
}

// Ovom kodu je doprineo Miloš